import { AxiosInstance, AxiosRequestConfig } from 'axios';
import Iapi from './interfaces/base';
export interface IaxiosRequestConfig extends AxiosRequestConfig {
    secrect: string;
    appId: string;
}
export declare enum ContentType {
    form = "application/x-www-form-urlencoded",
    json = "application/json; charset=utf-8",
    multipart = "multipart/form-data"
}
/**
 * 网络请求参数
 */
export interface RequestParams {
    [key: string]: any;
}
export interface Iobj {
    [key: string]: any;
}
declare class HBBasicClient {
    httpClient: AxiosInstance;
    usuallyHttpClient: AxiosInstance;
    constructor(config: IaxiosRequestConfig);
    private $post;
    private getApis;
    readonly api: Iapi;
}
export default HBBasicClient;
